Bug 110963 - xinetd init script should unset KRB5CCNAME
xinetd init script should unset KRB5CCNAME
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xinetd (Show other bugs)
4.4
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Zeleny
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-25 17:26 EST by Avery Buffington
Modified: 2010-02-24 04:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-24 04:30:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avery Buffington 2003-11-25 17:26:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Linux 2.4.21-grsec 
i686) Opera 7.11  [en]

Description of problem:
If the KRB5CCNAME environment variable is set when root 
starts/restarts xinetd all ticket file cache names for all users will 
be set to this name.  Furthermore it appears that in some cases if 
the ticket cache already exists then klogind will set the ownership 
to the user logging in, however the contents of the cache (e.g. the 
ticket) can contain another users credentials such that user A owns 
the cache which contains users B credentials. 

Version-Release number of selected component (if applicable):
xinetd-2.3.11-1.8.0

How reproducible:
Always

Steps to Reproduce:
1.rlogin to any box running klogind from xinetd as root
2.echo $KRB5CCNAME
3./etc/init.d/xinetd restart
4.rlogin to the same box as a normal user
5. run the klist command or echo $KRB5CCNAME.  It will be the same as 
in step 2.
    

Actual Results:  
[root@dragon root]# id
uid=0(root) gid=0(root) groups=0(root),1(bin),2(daemon),3(sys),4(adm)
,6(disk),10(wheel)
[root@dragon root]# klist
klist: No credentials cache found (ticket cache FILE:
/tmp/krb5cc_p917)


Kerberos 4 ticket cache: /tmp/tkt0
klist: You have no tickets cached
[root@dragon root]# 

and as a regular user:

[15:49:41][avery@dragon:~]$ id
uid=253(avery) gid=100(users) groups=100(users),101(olbdev),
106(portdev),110(olbops),117(sysops)
[15:50:24][avery@dragon:~]$ klist
klist: No credentials cache found (ticket cache FILE:
/tmp/krb5cc_p917)


Kerberos 4 ticket cache: /tmp/tkt253
klist: You have no tickets cached
[15:50:25][avery@dragon:~]$ 

Expected Results:  Root should have a unique ticket cache as should 
every user.

Additional info:

having the following in the init script for xinetd after the test for 
root would be good:

[ ! -z ${KRB5CCNAME} ] && unset KRB5CCNAME
Comment 1 Bill Nottingham 2006-08-05 01:38:34 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Lubomir Kundrak 2006-12-21 08:31:06 EST
I am removing a Security keyword, for I think this has no security implication.
Environment variables, although I agree xinetd should saintize environmnentt,
contain no security sensitive information.

Also, does this bug still exist?
Comment 4 Jan Zeleny 2010-02-24 04:30:15 EST
I'm closing this bug as WONTFIX for following reasons: no activity for a long time, low impact and from the last comment no security implications. Since only 4.9 will be regular release, this bug will most likely be unapproved. I recommend switching to RHEL5, the issue might be fixed there.

Note You need to log in before you can comment on or make changes to this bug.